[riot-notifications] [RIOT-OS/RIOT] esp8266: make flash fails (#12247)

Gunar Schorcht notifications at github.com
Mon Sep 16 19:19:19 CEST 2019


@benpicco @cladmi Sorry when I'm answering too late or not at all these days. I'm on vacation for hiking all the day and have often only very limited internet access. Furthermore, I don't have the hardware with me to check all the problems.

Unfortunately, the issue is a bit more complicated. The ESP8266 toolchain uses [esp-open-sdk](https://github.com/pfalcon/esp-open-sdk.git) which already includes `esptool.py`, independent on whether you [compile it by yourself](https://doc.riot-os.org/group__cpu__esp8266.html#esp8266_manual_toolchain_installation) or you use the [precompiled version](https://doc.riot-os.org/group__cpu__esp8266.html#esp8266_precompiled_toolchain). The version of this `esptool.py` is not 2.5 but version 1.2. That's why it doesn't understand the new arguments. As documented for ESP32, `esptool.py` version 2.4 is required to understand the new arguments.

I could prepare a special version of the toolchain which overwrites the included `esptool.py` with a newer version. But if the user compiles the toolchain by himself, he would also have to install `esptool.py` with `pip install esptool`. Furthermore, he would have to ensure that the newer version is found in his `PATH` before the version of `esptool.py` provided by the `esp-open-sdk`.

@cladmi Thank you for PR #12252 and reverting the change for the moment.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/issues/12247#issuecomment-531873189
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20190916/9a2c8302/attachment.htm>


More information about the notifications mailing list